Get a dataset
Return schema, grain, methodology, cadence, and source lineage.
curl --request GET \
--url https://api.soriaanalytics.com/v1/catalog/{dataset} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.soriaanalytics.com/v1/catalog/{dataset}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.soriaanalytics.com/v1/catalog/{dataset}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soriaanalytics.com/v1/catalog/{dataset}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.soriaanalytics.com/v1/catalog/{dataset}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.soriaanalytics.com/v1/catalog/{dataset}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soriaanalytics.com/v1/catalog/{dataset}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"domain": "<string>",
"relation": "<string>",
"description": "<string>",
"grain": [
"<string>"
],
"methodology": "<string>",
"update_frequency": "<string>",
"providers": [
"<string>"
],
"source_links": [
{
"label": "<string>",
"url": "<string>"
}
],
"sources": [
{
"source": "<string>",
"relation": "<string>",
"description": "<string>",
"freshness": {}
}
],
"columns": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"accepted_values": [
"<unknown>"
]
}
],
"kind": "mart",
"title": "<string>",
"documentation_url": "<string>",
"snowflake_relation": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Stable dataset identifier used in SQL.
Business domain derived from the dbt model path.
Allowlisted relation to use in queries.
Dataset definition from dbt.
Declared columns that uniquely identify a row.
Methodology maintained with the dbt model.
Expected publication cadence declared in dbt.
Organizations providing the underlying data.
Canonical upstream documentation links.
Show child attributes
Show child attributes
Recursive source-level lineage from the dbt graph.
Show child attributes
Show child attributes
Typed and documented dbt columns.
Show child attributes
Show child attributes
Published dbt model layer. Non-mart layers appear only when explicitly customer-visible.
raw, staging, intermediate, mart, analysis, cell, provenance, model Human-readable dbt Dive title.
Related Soria documentation URL.
SCHEMA.TABLE this dataset is delivered as in the Snowflake share.
curl --request GET \
--url https://api.soriaanalytics.com/v1/catalog/{dataset} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.soriaanalytics.com/v1/catalog/{dataset}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.soriaanalytics.com/v1/catalog/{dataset}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.soriaanalytics.com/v1/catalog/{dataset}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.soriaanalytics.com/v1/catalog/{dataset}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.soriaanalytics.com/v1/catalog/{dataset}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.soriaanalytics.com/v1/catalog/{dataset}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"domain": "<string>",
"relation": "<string>",
"description": "<string>",
"grain": [
"<string>"
],
"methodology": "<string>",
"update_frequency": "<string>",
"providers": [
"<string>"
],
"source_links": [
{
"label": "<string>",
"url": "<string>"
}
],
"sources": [
{
"source": "<string>",
"relation": "<string>",
"description": "<string>",
"freshness": {}
}
],
"columns": [
{
"name": "<string>",
"type": "<string>",
"description": "<string>",
"accepted_values": [
"<unknown>"
]
}
],
"kind": "mart",
"title": "<string>",
"documentation_url": "<string>",
"snowflake_relation": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}